import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_position_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_position_option_entity.g.dart';

@JsonSerializable()
class ContractPositionOptionEntity {
	@JSONField(name: "contract_id")
	String? contractId;
	@JSONField(name: "start_date")
	String? startDate;
	@JSONField(name: "end_date")
	String? endDate;
	@JSONField(name: "agency_name")
	String? agencyName;

	ContractPositionOptionEntity();

	factory ContractPositionOptionEntity.fromJson(Map<String, dynamic> json) => $ContractPositionOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}